Exchange MAPI Client and Collaboration Data Objects (MAPI/CDO) needs to be updated to support backup of Exchange 2007 with Backup Exec 11.0 (Build 7171) and above

Problem

Microsoft Exchange Server MAPI Client and Collaboration Data Objects (MAPI/CDO) needs to be updated to support backup of Exchange 2007 with Backup Exec 11.0 build 7170 and above

 

Cause

Backup Exec 11.0 for Windows Servers build 7170 is dependent on MAPI/CDO to backup Exchange 2007. The early releases of MAPI/CDO did not contain all functionality necessary by Backup Exec to perform a backup.

 

Solution

The version of MAPI/CDO required is Microsoft Exchange Server MAPI Client and Collaboration Data Objects 6.05.7888 or greater and can be downloaded from Microsoft per the following link:
Microsoft Exchange Server MAPI Client and Collaboration Data Objects 1.2.1
 http://www.microsoft.com/downloads/details.aspx?FamilyID=E17E7F31-079A-43A9-BFF2-0A110307611E&displaylang=en


Once the updated package has been downloaded the current installation of MAPI/CDO will need to be uninstalled and then the new version installed.

The new version of MAPI/CDO will not properly upgrade the prior version.

Attempts to upgrade the prior version of MAPI/CDO will report as successful but the installed components will not be updated.

The older version of MAPI/CDO will have to be uninstalled and the new version installed.

Note: A reboot of the server may be required, after removing or updating any server application.  
 
 

Applies To

Microsoft Exchange 2007

 

Terms of use for this information are found in Legal Notices.

Search

Survey

Did this article answer your question or resolve your issue?

No
Yes

Did this article save you the trouble of contacting technical support?

No
Yes

How can we make this article more helpful?

Email Address (Optional)